@ECHO OFF
ECHO.
ECHO         Cox & Cox - Multidimensional Scaling
ECHO.
ECHO                     Installation
ECHO.
IF .==%2. GOTO SYNTAX
FOR %%F IN (A,B,C,D,E,F,G,H,I,J,K,L,M) DO IF %1.==%%F. GOTO OK
FOR %%F IN (a,b,c,d,e,f,g,h,i,j,k,l,m) DO IF %1.==%%F. GOTO OK
FOR %%F IN (N,O,P,Q,R,S,T,U,V,W,X,Y,Z) DO IF %1.==%%F. GOTO OK
FOR %%F IN (n,o,p,q,r,s,t,u,v,w,x,y,z) DO IF %1.==%%F. GOTO OK

:SYNTAX
ECHO.
ECHO              Installation Instructions
ECHO.
ECHO To install, type
ECHO      E: [Return]
ECHO      INSTALL  C  MDS [Return]
ECHO.
ECHO FORMAT:  INSTALL  (drive)  (sub-directory)
ECHO.
ECHO (Note the cdrom is in drive E:)
ECHO (Note the blank space between drive and sub-directory)
ECHO.

GOTO END

:OK

IF EXIST %1:\%2\NUL GOTO EXISTS

MD %1:\%2
MD %1:\%2\DATA
MD %1:\%2\WORK
XCOPY *.* %1:\%2\*.* /V /S > NUL
@DEL %1:\%2\*.BAT
@ATTRIB +R %1:\%2\*.*
@ATTRIB +R %1:\%2\DATA\*.*

IF NOT EXIST %C:\dos\NUL GOTO TRY1
@del c:\dos\mds.bat > NUL
ECHO @%1: > c:\DOS\MDS.BAT
ECHO @cd %1:\%2 >> c:\DOS\MDS.BAT
echo @%1:\%2\menu.exe >> c:\DOS\MDS.BAT

:TRY1
IF NOT EXIST %C:\WINDOWS\NUL GOTO TRY2
@del c:\windows\mds.bat > NUL
ECHO @%1: > c:\WINDOWS\MDS.BAT
ECHO @cd %1:\%2 >> c:\WINDOWS\MDS.BAT
echo @%1:\%2\menu.exe >> c:\WINDOWS\MDS.BAT

:TRY2
IF NOT EXIST %1:\dos\NUL GOTO TRY3
@del %1:\DOS\MDS.BAT > NUL
ECHO @%1: > %1:\DOS\MDS.BAT
ECHO @cd %1:\%2 >> %1:\DOS\MDS.BAT
echo @menu.exe >> %1:\DOS\MDS.BAT

:TRY3
IF NOT EXIST %1:\WINDOWS\NUL GOTO TRY4
@del %1:\WINDOWS\MDS.BAT > NUL
ECHO @%1: > %1:\WINDOWS\MDS.BAT
ECHO @cd %1:\%2 >> %1:\WINDOWS\MDS.BAT
echo @menu.exe >> %1:\WINDOWS\MDS.BAT

:TRY4

IF EXIST C:\DOS\MDS.BAT GOTO SUCCESS
IF EXIST C:\WINDOWS\MDS.BAT GOTO SUCCESS
IF EXIST %1:\DOS\MDS.BAT GOTO SUCCESS
IF EXIST %1:\WINDOWS\MDS.BAT GOTO SUCCESS

@%1:
@CD %1:\%2
ECHO.
ECHO Type MENU at the %1:\%2 prompt to activate the programmes
ECHO.

GOTO END

:SUCCESS
@%1:
@CD %1:\%2
ECHO.
ECHO Type MDS, or MENU at the %1:\%2 prompt to activate the programmes
ECHO.

GOTO END

:EXISTS
ECHO.
ECHO Directory proposed already exists.
ECHO.
ECHO Information may be over written, make an alternative choice.
ECHO.

GOTO END

:END
